Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003490TestLinkTest Specificationpublic2010-05-26 12:282010-07-02 18:35
Reporteranamy 
Assigned ToJulian 
PriorityimmediateSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003490: Can not search a test case after Req.Doc ID
DescriptionPreconditions: Create a requirement with Rec Doc id : DBA-23232
1.Connect as admin user
2. Go to Home -> Test Specification - > Search Test Cases
3. Fill in for Req.Doc ID value "DBA-23232" and press Find


Results:

 ==============================================================================

 DB Access Error - debug_print_backtrace() OUTPUT START

 ==============================================================================

#0 database->exec_query(SELECT COUNT(NH_TC.id) FROM beta4_nodes_hierarchy NH_TC JOIN beta4_nodes_hierarchy NH_TCV ON NH_TCV.parent_id = NH_TC.id JOIN beta4_tcversions TCV ON NH_TCV.id = TCV.id LEFT OUTER JOIN beta4_nodes_hierarchy NH_TCSTEPS ON NH_TCSTEPS.parent_id = NH_TCV.id LEFT OUTER JOIN beta4_tcsteps TCSTEPS ON NH_TCSTEPS.id = TCSTEPS.id JOIN beta4_requirements REQ ON AND REQ.id=RC.req_id JOIN beta4_req_coverage RC ON RC.testcase_id = NH_TC.id WHERE 1=1 AND NH_TCV.parent_id IN (214) AND REQ.req_doc_id like '%DBA-23232%' ) called at [C:\xampp\htdocs\testlink-1.9.beta4\lib\functions\database.class.php:518]
#1 database->fetchFirstRow(SELECT COUNT(NH_TC.id) FROM beta4_nodes_hierarchy NH_TC JOIN beta4_nodes_hierarchy NH_TCV ON NH_TCV.parent_id = NH_TC.id JOIN beta4_tcversions TCV ON NH_TCV.id = TCV.id LEFT OUTER JOIN beta4_nodes_hierarchy NH_TCSTEPS ON NH_TCSTEPS.parent_id = NH_TCV.id LEFT OUTER JOIN beta4_tcsteps TCSTEPS ON NH_TCSTEPS.id = TCSTEPS.id JOIN beta4_requirements REQ ON AND REQ.id=RC.req_id JOIN beta4_req_coverage RC ON RC.testcase_id = NH_TC.id WHERE 1=1 AND NH_TCV.parent_id IN (214) AND REQ.req_doc_id like '%DBA-23232%' ) called at [C:\xampp\htdocs\testlink-1.9.beta4\lib\functions\database.class.php:536]
0000002 database->fetchOneValue(SELECT COUNT(NH_TC.id) FROM beta4_nodes_hierarchy NH_TC JOIN beta4_nodes_hierarchy NH_TCV ON NH_TCV.parent_id = NH_TC.id JOIN beta4_tcversions TCV ON NH_TCV.id = TCV.id LEFT OUTER JOIN beta4_nodes_hierarchy NH_TCSTEPS ON NH_TCSTEPS.parent_id = NH_TCV.id LEFT OUTER JOIN beta4_tcsteps TCSTEPS ON NH_TCSTEPS.id = TCSTEPS.id JOIN beta4_requirements REQ ON AND REQ.id=RC.req_id JOIN beta4_req_coverage RC ON RC.testcase_id = NH_TC.id WHERE 1=1 AND NH_TCV.parent_id IN (214) AND REQ.req_doc_id like '%DBA-23232%' ) called at [C:\xampp\htdocs\testlink-1.9.beta4\lib\testcases\tcSearch.php:155]

 ==============================================================================
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserMozilla Firefox 3.0
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3490.zip [^] (3,100 bytes) 2010-05-26 15:04

- Relationships
related to 0003506closedfman Test Case search by REQ DOC ID - crashes 

-  Notes
(0010162)
Julian (reporter)
2010-05-26 15:05

please check with attached fix and let me know if problem is solved.
(0010237)
fman (administrator)
2010-06-05 10:52

Fix does not work and produced error
(0010486)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-26 12:28 anamy New Issue
2010-05-26 15:04 Julian Assigned To => Julian
2010-05-26 15:04 Julian Status new => assigned
2010-05-26 15:04 Julian File Added: fix-3490.zip
2010-05-26 15:05 Julian Note Added: 0010162
2010-05-26 15:05 Julian Status assigned => feedback
2010-06-05 10:52 fman Note Added: 0010237
2010-06-05 10:53 fman Relationship added related to 0003506
2010-06-05 12:24 fman Status feedback => resolved
2010-06-05 12:24 fman Fixed in Version => 1.9 Beta 5
2010-06-05 12:24 fman Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010486
2010-07-02 18:35 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker